<app-search (comercialBuildingsPointsChange)="onComercialBuildingsPointsChange($event)"></app-search>

<div id="map" class="map"></div>

<div id="overlay">
    <nb-card *ngIf="pointSelected" class="point-overlay">
        <nb-card-header>
            {{ pointSelected.itemLabel.value }}
        </nb-card-header>
        <nb-card-body>
            <div *ngIf="pointSelected.pic?.value" class="image-container">
                <img
                    class="point-image"
                    [src]="pointSelected.pic.value"
                    [alt]="pointSelected.itemDescription?.value">
            </div>
            
            <p *ngIf="pointSelected.itemDescription">
                {{ pointSelected.itemDescription.value }}
            </p>
            <p>
                <small *ngIf="pointSelected.coordinates">
                    {{ pointSelected.coordinates.value }}
                </small>
            </p>
        </nb-card-body>
        <nb-card-footer>
            <a nbButton status="primary" size="small" href="{{ pointSelected.item.value }}" target="_blank">Más información</a>
        </nb-card-footer>
    </nb-card>
</div>